Replace pike symlink
This patch fix upgrade if files/pike is symlink.
Depends-On: Icc8efd37af59f0392e34f08382fcee844b3798d9
Change-Id: I4fd70bbdb96d7547b8166846a1120c514370b57e
Related-Prod: PROD-17540
diff --git a/debian/changelog b/debian/changelog
index 896e00d..b2a1f22 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+salt-formula-heat (2016.12.1-2xenial1) xenial; urgency=medium
+
+ * Fix files/pike symlink
+
+ -- devops <devops@mirantis.com> Tue, 06 Feb 2018 15:40:55 +0200
+
salt-formula-heat (2016.12.1-1xenial1) xenial; urgency=medium
* Build for Ubuntu xenial
diff --git a/debian/salt-formula-heat.postinst b/debian/salt-formula-heat.postinst
new file mode 100644
index 0000000..5ce9493
--- /dev/null
+++ b/debian/salt-formula-heat.postinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper symlink_to_dir \
+ /usr/share/salt-formulas/env/heat/files/pike /usr/share/salt-formulas/env/heat/files/ocata salt-formula-heat -- "$@"
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/salt-formula-heat.postrm b/debian/salt-formula-heat.postrm
new file mode 100644
index 0000000..5ce9493
--- /dev/null
+++ b/debian/salt-formula-heat.postrm
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper symlink_to_dir \
+ /usr/share/salt-formulas/env/heat/files/pike /usr/share/salt-formulas/env/heat/files/ocata salt-formula-heat -- "$@"
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/salt-formula-heat.preinst b/debian/salt-formula-heat.preinst
new file mode 100644
index 0000000..5ce9493
--- /dev/null
+++ b/debian/salt-formula-heat.preinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper symlink_to_dir \
+ /usr/share/salt-formulas/env/heat/files/pike /usr/share/salt-formulas/env/heat/files/ocata salt-formula-heat -- "$@"
+
+#DEBHELPER#
+
+exit 0